Skip to main content
Effective Date: August 20, 2025
Deprecation Deadline: March 1 2026 (6-month notice window)

What’s Changing?

Lobyco is rotating some of our promotion platform API endpoints to their newer versions. Most of the affected APIs are internal microservice APIs, but some externally available endpoints are also in scope. This document covers our motivation for deprecating externally available APIs and the actions that may be required on your side (if any).

Reason for Deprecation

  1. Every deprecated endpoint has a newer version that works better in some way — some have performance optimizations, and some allow more options in both request and response data.
  2. Some of the deprecated endpoints have moved to another service. Cross-cutting features, such as the promotion calendars API for admin tools, now live in a single backend for better standardization.
  3. Finally, we are deprecating older APIs with very little usage, so that our product development teams can focus on the current endpoints.

Action Required: Migrate to new endpoint for Games

We are deprecating get current game in favor of get list of games. The list endpoint returns all games available to a customer, ordered, and supports list-style UI as well as the old behaviour: if you want games presented sequentially, take the first item from the response.

Action Required: Migrate to new endpoint of Personal offers import

If you use the external personal offers import, this is relevant for you. The v1 import endpoint is replaced by an optimized v3 version with the same API contract — migrate to POST /v3/personaloffers/bulk. The only change is the path.
Last modified on August 13, 2026